
%  This function evaluates the log-likelihood for estimation of Vasicek's model
%  as in Nowman(199X) and Episcopos(2000)

function [resultado,vart2]=loglik(parm,tipos,lagr);

[tipos(1:1,1) lagr(1:1,1)];

et = tipos-exp(parm(2,1))*lagr-(parm(1,1)/parm(2,1))*(exp(parm(2,1))-1);
vart2 = (parm(3,1)^2/(2*parm(2,1)))*(exp(2*parm(2,1))-1)*(lagr.^2);

parte = log(vart2)+(et.^2)./vart2;

resultado = .5*sum(parte);
